## patator 0.7

=== requirements.txt ===
paramiko
pycurl
ajpy
#impacket # no python3 compatibility
pyopenssl
cx_Oracle
mysqlclient
psycopg2
pycrypto
dnspython
IPy
pysnmp
pyasn1
#pysqlcipher # no python3 compatibility

## patator 0.6

=== debian/changelog ===
patator (0.6-3) unstable; urgency=medium

  * Team upload.
  * Improve usage output.
  * Bump Standards-Version to 4.1.0.
  * Bump debhelper compat level to 10.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 26 Aug 2017 13:35:18 +0200

patator (0.6-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Add gbp.conf file

  [ Sophie Brun ]
  * Drop useless dependency on python-pycryptopp.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 03 Nov 2016 17:14:24 +0100

patator (0.6-1) unstable; urgency=low

  * Initial release (Closes: #830322).

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 07 Jul 2016 17:24:14 +0200

=== debian/control ===
Source: patator
Section: utils
Priority: extra
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org> 
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.0
Homepage: https://github.com/lanjelot/patator
Vcs-Git: https://anonscm.debian.org/git/pkg-security/patator.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/patator.git/

Package: patator
Architecture: all
Depends: default-jre,
         libldap-2.4-2,
         python,
         python-crypto,
         python-dns,
         python-impacket,
         python-ipy,
         python-mysqldb,
         python-paramiko,
         python-psycopg2,
         python-pyasn1,
         python-pycurl,
         python-pysnmp4,
         unzip,
         ${misc:Depends}
Description: Multi-purpose brute-forcer
 Patator is a multi-purpose brute-forcer, with a modular
 design and a flexible usage.
 .
 Currently it supports the following modules:
   - ftp_login     : Brute-force FTP
   - ssh_login     : Brute-force SSH
   - telnet_login  : Brute-force Telnet
   - smtp_login    : Brute-force SMTP
   - smtp_vrfy     : Enumerate valid users using the SMTP 'VRFY' command
   - smtp_rcpt     : Enumerate valid users using the SMTP 'RCPT TO' command
   - finger_lookup : Enumerate valid users using Finger
   - http_fuzz     : Brute-force HTTP
   - pop_login     : Brute-force POP3
   - pop_passd     : Brute-force poppassd (http://netwinsite.com/poppassd/)
   - imap_login    : Brute-force IMAP4
   - ldap_login    : Brute-force LDAP
   - smb_login     : Brute-force SMB
   - smb_lookupsid : Brute-force SMB SID-lookup
   - vmauthd_login : Brute-force VMware Authentication Daemon
   - mssql_login   : Brute-force MSSQL
   - oracle_login  : Brute-force Oracle
   - mysql_login   : Brute-force MySQL
   - pgsql_login   : Brute-force PostgreSQL
   - vnc_login     : Brute-force VNC
   - dns_forward   : Brute-force DNS
   - dns_reverse   : Brute-force DNS (reverse lookup subnets)
   - snmp_login    : Brute-force SNMPv1/2 and SNMPv3
   - unzip_pass    : Brute-force the password of encrypted ZIP files
   - keystore_pass : Brute-force the password of Java keystore files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_install:
	dh_installdirs
	install patator.py $(CURDIR)/debian/patator/usr/bin/patator

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(\d.*)\.tar\.gz/patator-$1.tar.gz/" \
https://github.com/lanjelot/patator/tags .*/(\d.*)\.tar\.gz

## patator 0.7

=== debian/changelog ===
patator (0.7-2) unstable; urgency=medium

  * Team upload.
  * Move ike-scan to recommends (only required for one option and not
    available for all architectures)
  * Drop depends libfreerdp-dev and add Recommends: freerdp2-x11
    (option rdp_login requires the command xfreerdp which is provided by
    freerdp2-x11)
  * Replace libldap-2.4-2 by ldap-utils
    (option ldap_login requires the command ldapsearch which is provided
    by ldap-utils)
  * Bump Standards-Version to 4.2.0 (no change required)

 -- Sophie Brun <sophie@freexian.com>  Wed, 22 Aug 2018 10:45:04 +0200

patator (0.7-1) unstable; urgency=medium

  * New upstream release.
    - Port to Python 3.
  * Bump debian/compat from 9 to 11.
  * debian/control:
    - Depend on debhelper >= 11 instead of >= 9.
    - Update dependencies to match new upstream release and pybuild port.
    - Set priority to optional (extra deprecated since 4.0.1).
    - Bump Standards-Version to 4.1.5.
    - Update package description to match new upstream release.
  * debian/rules: port to pybuild.
  * debian/patches/remove-cx-oracle-depencency.patch: cx_oracle dependency
    has to be ignored since it depends on non-free libraries.
  * Update copyright years.
  * Refresh patches for new upstream release.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 03 Aug 2018 10:36:02 +0800

=== debian/control ===
Source: patator
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3 (>= 3.3),
               python3-ajpy,
               python3-crypto,
               python3-dns,
               python3-dnspython,
               python3-ipy,
               python3-mysqldb,
               python3-openssl,
               python3-paramiko,
               python3-psycopg2,
               python3-pyasn1,
               python3-pycurl,
               python3-pysnmp4,
               python3-setuptools
Standards-Version: 4.2.0
Homepage: https://github.com/lanjelot/patator
Vcs-Git: https://salsa.debian.org/pkg-security-team/patator.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/patator

Package: patator
Architecture: all
Depends: default-jre,
         ldap-utils,
         unzip,
         ${misc:Depends},
         ${python3:Depends}
Recommends: freerdp2-x11,
            ike-scan
Description: Multi-purpose brute-forcer
 Patator is a multi-purpose brute-forcer, with a modular
 design and a flexible usage.
 .
 Currently it supports the following modules:
  + ftp_login     : Brute-force FTP
  + ssh_login     : Brute-force SSH
  + telnet_login  : Brute-force Telnet
  + smtp_login    : Brute-force SMTP
  + smtp_vrfy     : Enumerate valid users using SMTP VRFY
  + smtp_rcpt     : Enumerate valid users using SMTP RCPT TO
  + finger_lookup : Enumerate valid users using Finger
  + http_fuzz     : Brute-force HTTP
  + ajp_fuzz      : Brute-force AJP
  + pop_login     : Brute-force POP3
  + pop_passd     : Brute-force poppassd (http://netwinsite.com/poppassd/)
  + imap_login    : Brute-force IMAP4
  + ldap_login    : Brute-force LDAP
  + smb_login     : Brute-force SMB
  + smb_lookupsid : Brute-force SMB SID-lookup
  + rlogin_login  : Brute-force rlogin
  + vmauthd_login : Brute-force VMware Authentication Daemon
  + mssql_login   : Brute-force MSSQL
  + mysql_login   : Brute-force MySQL
  + mysql_query   : Brute-force MySQL queries
  + rdp_login     : Brute-force RDP (NLA)
  + pgsql_login   : Brute-force PostgreSQL
  + vnc_login     : Brute-force VNC
  + dns_forward   : Forward DNS lookup
  + dns_reverse   : Reverse DNS lookup
  + snmp_login    : Brute-force SNMP v1/2/3
  + ike_enum      : Enumerate IKE transforms
  + unzip_pass    : Brute-force the password of encrypted ZIP files
  + keystore_pass : Brute-force the password of Java keystore files
  + umbraco_crack : Crack Umbraco HMAC-SHA1 password hashes
  + tcp_fuzz      : Fuzz TCP services
  + dummy_test    : Testing module

## patator 0.9

=== requirements.txt ===
paramiko
pycurl
ajpy
impacket
pyopenssl
cx_Oracle
mysqlclient
psycopg2-binary
pycrypto
dnspython
IPy
pysnmp
pyasn1
pysqlcipher3

=== debian/changelog ===
patator (0.9-3build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:07:10 -0400

patator (0.9-3) unstable; urgency=medium

  * Add debian/patches/pycryptodome.patch.
    Thanks to Sebastian Ramacher <sramacher@debian.org>. (Closes: #971305)
  * Bump Standards-Version to 4.5.1.
  * debian/watch: bump to version 4.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 11 Jan 2021 02:31:01 +0000

patator (0.9-2) unstable; urgency=medium

  * Added 'Forwarded: not-needed' to all patches.
  * debian/control:
      - Added myself as an uploader.
      - Added python3-psycopg2 in Depends because it is needed for pgsql_login.
      - Switched from python3-crypto to python3-pycryptodome. (Closes: #971305)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 29 Sep 2020 21:39:54 +0000

patator (0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.
  * debian/control: updated to list the 'dcom_login' module.
  * debian/patator.1: updated to list the 'dcom_login' module.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 08 Aug 2020 18:08:24 +0000

patator (0.8-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Team upload.
  * Add salsa-ci.yml.
  * Configure git-buildpackage.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * New upstream version 0.8.
  * Bump DH level to 13.
  * Bump Standards Version to 4.5.0.
  * Refresh patches for new upstream release.
  * debian/control:
      - Add python3-impacket to Build-Depends.
      - Add 'Rules-Requires-Root: no'.
  * debian/copyright:
      - Update packaging copyright.
      - Update upstream copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 01 Jul 2020 19:04:38 +0000

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/(\d.*)\.tar\.gz/patator-$1.tar.gz/" \
https://github.com/lanjelot/patator/tags .*/(\d.*)\.tar\.gz

## patator 1.0

=== requirements.txt ===
paramiko
pycurl
ajpy
impacket
pyopenssl
cx_Oracle
mysqlclient
psycopg2-binary
pycryptodomex
dnspython
IPy
pysnmp==4.4.12
pyasn1==0.4.8
pysqlcipher3

=== debian/changelog ===
patator (1.0-5) unstable; urgency=medium

  * Team upload
  * Replace transitional python3-pysnmp4 with python3-pysnmp
  * Use dh-sequence-python3
  * Recommends python3-zombie-telnetlib
  * Drop "Rules-Requires-Root: no": it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Wed, 19 Nov 2025 23:16:19 +0100

patator (1.0-4) unstable; urgency=medium

  * Team upload
  * Import upstream patch to remove obsolete wrap_socket

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Nov 2024 13:53:06 +0100

patator (1.0-3) unstable; urgency=medium

  * Change from freerdp2-x11 to freerdp3-x11. (Closes: #1081530)
  * Add debian/patches/change-from-freerdp2-x11-to-freerdp3-x11.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 28 Sep 2024 18:37:31 +0000

patator (1.0-2) unstable; urgency=medium

  * Add debian/patches/requirements.txt.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 07 Nov 2023 21:09:28 +0000

patator (1.0-1) unstable; urgency=medium

  * New upstream version 1.0.
  * Refresh debian/patches/remove-cx-oracle-depencency.patch.
  * Drop debian/patches/pycryptodome.patch.
  * Bump Standards-Version to 4.6.2.
  * Update packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 02 Nov 2023 22:29:46 +0000

patator (0.9-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable).

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Remove Hugo Lefeuvre from Uploaders field,
    since he seems to be MIA. (Closes: #1050278)
  * Update my email address.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Wed, 30 Aug 2023 19:24:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,25 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 11),
-               dh-python,
-               python3 (>= 3.3),
+Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               python3,
                python3-ajpy,
-               python3-crypto,
                python3-dns,
                python3-dnspython,
+               python3-impacket,
                python3-ipy,
                python3-mysqldb,
                python3-openssl,
                python3-paramiko,
                python3-psycopg2,
                python3-pyasn1,
+               python3-pycryptodome,
                python3-pycurl,
-               python3-pysnmp4,
+               python3-pysnmp,
                python3-setuptools
-Standards-Version: 4.2.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/lanjelot/patator
 Vcs-Git: https://salsa.debian.org/pkg-security-team/patator.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/patator
@@ -28,10 +29,12 @@
 Architecture: all
 Depends: default-jre,
          ldap-utils,
+         python3-psycopg2,
          unzip,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: freerdp2-x11,
+Recommends: freerdp3-x11,
+            python3-zombie-telnetlib,
             ike-scan
 Description: Multi-purpose brute-forcer
  Patator is a multi-purpose brute-forcer, with a modular
@@ -51,6 +54,7 @@
   + pop_passd     : Brute-force poppassd (http://netwinsite.com/poppassd/)
   + imap_login    : Brute-force IMAP4
   + ldap_login    : Brute-force LDAP
+  + dcom_login    : Brute-force DCOM
   + smb_login     : Brute-force SMB
   + smb_lookupsid : Brute-force SMB SID-lookup
   + rlogin_login  : Brute-force rlogin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=patator

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mv $(CURDIR)/debian/$(PYBUILD_NAME)/usr/bin/patator.py $(CURDIR)/debian/$(PYBUILD_NAME)/usr/bin/patator
